API Reference
Delete an API key
Revoke a Standard API key without deleting historical usage records.
Revoke a Standard API key without deleting historical usage records.
Endpoint
- Base URL
https://runapi.ai- API version
v1- Authentication
Authorization: Bearer YOUR_MANAGEMENT_API_KEY- Authorization
- Requires an account-admin Management API key and permits only keys owned by its user.
03
JSON bodyRequest
Send values only in the listed request location.
Path parameters1 field
idstring
Required
API key prefix ID, for example token_123.
03
HTTP 204Success response
DELETE /api/v1/keys/:id
This response has no body.
04
HTTP 401Error response (401)
JSON
{
"error": "Authentication required"
}
05
HTTP 403Error response (403)
JSON
{
"error": "Management API key required"
}
06
HTTP 403Error response (403)
JSON
{
"error": "Account admin required"
}
07
HTTP 404Error response (404)
JSON
{
"error": "Resource not found"
}
08
cURL example
CURL
curl -X DELETE https://runapi.ai/api/v1/keys/token_123 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'
09